[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TDelphiNodeInfo

TDelphiNodeInfo - record structure for Tree Node information (for Delphi compatability)

## Declaration

Source position: comctrls.pp line 2041

`type TDelphiNodeInfo = packed record`
`ImageIndex: Integer;` |  |
`SelectedIndex: Integer;` |  |
`StateIndex: Integer;` |  |
`OverlayIndex: Integer;` |  |
`Data: Pointer;` |  |
`Count: Integer;` |  |
`Text: String;` |  |
`end;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.